<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>FibreConstructor Member List</h1>This is the complete list of members for <a class="el" href="classFibreConstructor.html">FibreConstructor</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ad2eba079e6320464a7d389bffeb9830f">applyVolumeCounter</a>(G4String &amp;physical_volume_name)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#af028c58e48ea76a8fddd9bc8058d6f7e">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aab7e063eb1a1ba9d49ff8959b5c1f10e">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a3b2e7cfb54ecff287924b0e1cedf149a">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a3ba00cfda0d5c364c967a11df8efe827">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a97dfa8b5085afcf57a06a78e015791cb">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a130cccef711e6795a620546727479197">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a5ed71716a911da9044e2592839402cad">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a9f2f67877d7700176cfb94e486824c1a">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#af1ec36587a344b9444bb5cdfb80a6497">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aeab79860ce474e4d4f41bab6807fdc32">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a51956ab50850350496bc0c7df95fc119">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ad5906b05f07ebd4eaa702e7efb8f36e2">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ac5ce73813ef731ecbdbe4e31cd1c6e4c">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#adb8955727cf48535e36338f75b831305">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a11de536f81afbc07fa1426e432850db1">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a2bf304200db3e9c91fc86df2db3c332a">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a10dea11a3482d36c997992a6aa0ace91">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a1ca0f7d444fee4a9c8027fc3086fdadb">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#adb2c414b49c6ca86adbd3af4a5ae36fa">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a2588aa799d153b4dd68b5c2ed5d3ff18">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a21fd34c2ee5f23af000c7602068874a1">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a2c0d273d36d999623bc5f1d12695496e">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a1e71cbc69dbaf8ea36b813bc37d34aa8">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ae77101bcd8484a436a760f75e0aa2bfb">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a128dd13bd68c93fa0f32cd6f3819574c">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a47647ccfad77834b2364d043adfef522">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a376ae59caec253f0ca80fcaf0479ac61">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aa729914ae1b7e2169bcea27dec9970fa">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a2955f6aaa1d363c195cfd695c04d2f82">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a25c84f83f94946d5f1f72acee8f72d71">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a99d5ded829f49ee54b8a0d905a2f4a07">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a5e614d1638059d009a7ad444f0527860">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aa99f8933486b4ed35ac4401731a94277">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ab153ca47b7a281182ece834bfb28119e">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a51e5532392b65f7086da1209054fb436">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a37da71f6c3de71ac6819df0b8859778e">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#acc494a6c25a3d36cff661929a2edfc53">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#abbcc73b95369e3ff65b1216b1c138046">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a397812f8aff551daca411bf1f75fc21e">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a84b48664b70ecd5471343a8caf59958c">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a53542fb2755a34a5d6b9ce1d7b862b6a">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ae44be6a1c6b3dba22d5d67f239681c12">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a120a8ab8e932916a039a981fd35b0e24">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a8a755bd012752d62c3cac8687b1904ef">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a2390cef2a28d9ec37a1cc364e44a9b62">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#afcbf4d1ddeb21adac8b0d7a6bb76718c">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a36f159b12f220d96d8ec04fbbeb332f7">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aa9077111bcb0858ba0eaeeb510380d08">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a29d6036ff13c4a2839a202344bf9b031">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a5af1b9328856ddf4f8954d0ed7dbc54c">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ae11124b02a2411caf2f1a7a8bca7bc08">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a0c3ea7417963e73a395fcfe1987c496e">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#adbe92a2d362fb30fe193b9133dba994a">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a34a7d627e29b1be255edfaa4945a238d">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a39e332ae480a6935f7f619166f0a2722">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aa2ef480a51b0e15ea94b2ef7d08adad5">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ab2400a54927de2df4164bb6f19b5a2de">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aa1c65ff221b2777da1dd52b424f92f54">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ac036c43acb495cc6c45b834173664f21">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ad4dbb4aaf09f0b53e1de84897b38fbce">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#abac0977f5dbc9468b8acaf41e0dff053">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a2d184713540de3e7792dcb100da7bad4">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a0cca5de9a4bffd3898ccf42c99fe43d9">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a8fbbeea2a91c6f8ef7b32b7eb5573bbd">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a4909c0c75d7f8afa81eb34b19120230f">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aaa4e9eb0488121823ebe54e66e4714bd">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a7e412c8fc4773e5269f4746dd9a7b068">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a07451b1df147828689330f84ca200fbb">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a40b4a52b2ae2744d23e22e6247bd8eab">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ae818dadcfb0ff64146cced9816deb16b">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a1581627143a896763f88d5044b3ea2bd">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a5f2d5942222ac414164a564922c05952">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a607bb53b116dd0fd0d7b6f1e6a3b330c">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a4e0c61332c16104ade4514e7a76a0b52">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ad6661863cfc89acf179ad000159b5e51">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ac2a62c297cca3d175bdeb9864296d473">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ac9d1de66cdceb79df27ad8e40e33fddb">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a4d1503885af6ec49a9bcdefcd700c597">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a4c837a8668ad8b41d8d35971bbfc6c0a">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a7320eda15421b34440ac3b02775f28cc">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a4f90b60efa875404683b8e39416fc4dd">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_volume_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aeba8bcee0e6e3f7d14c198110a0f2a62">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4String fibre_name_prefix, G4bool onlyInsideMother, G4bool cutAuntVolumesWithDaughters, G4double startPoint_reflectivity, G4double startPoint_sigmaAlpha, G4double endPoint_reflectivity, G4double endPoint_sigmaAlpha, G4bool glued, G4String glue_property_file, G4String embedment_profile, G4String where_is_embedment_to_be_flush_with_fibre, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a26e5db1157cc60dd259313f19e230dae">FibreConstructor</a>(G4VModularPhysicsList *userPhysicsList, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage, G4bool searchOverlaps, int verbose=0)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a7f1d14df8c4d68ab8e3ad5cd7f4990aa">LoadPhysicsList</a>(G4VModularPhysicsList *physicsList, int verbose=0)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a4493cffd0c5cea6b542dbb1f1bff0548">registerPhysics</a>(G4VModularPhysicsList *physicsList, G4VPhysicsConstructor *physicsConstructor)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a9a370a3aa3eb2db7b5350fd124258918">SetCreateFibreOnlyInsideMotherVolume</a>()</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a1aba530b3847229c3442ab4654a66ecc">SetDefaults</a>()</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a69a3291db27fca3225ed2fc6eb5feced">SetDoNotCreateFibreInsideAuntVolumesWithDaughters</a>()</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a3356438326d80617de0ef2c7c5869722">SetFibreEndPointReflectivity</a>(G4double endPoint_reflectivity)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a9f2a93fd96524e3afd6220095e119dcd">SetFibreEndPointRoughness</a>(G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aa9dbaf5c12b686a00093c355af9b314c">SetFibreGlued</a>(G4String glue_property_file, G4String embedment_profile, std::vector&lt; G4VPhysicalVolume * &gt; volumes_with_embedment, G4String where_is_embedment_to_be_flush_with_fibre=&quot;&quot;)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a92184e7c5d1a4c6fcd7690cfa5e5d330">SetFibreGlued</a>(G4String glue_property_file, G4String embedment_profile, G4VPhysicalVolume *volume_with_embedment=0, G4String where_is_embedment_to_be_flush_with_fibre=&quot;&quot;)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a3f5a613cb568839d8e952717e58554bf">SetFibreNamePrefix</a>(G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a50622de25c9a90bc73e3a2eb6c18908e">SetFibreReferenceVolume</a>(G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a0fb0528c943dd44f9af755582ed64ecf">SetFibreReferenceVolumeTransformation</a>(G4Transform3D reference_volume_transformation)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aaa1d73d853fa0d982309cb0e94bffd51">SetFibreStartPointReflectivity</a>(G4double startPoint_reflectivity)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#af4ebce3f82252581c13730943babec1f">SetFibreStartPointRoughness</a>(G4double startPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ac48595e51afe39e839213789621ae063">SetFibreTransformationRelativeToReferenceVolume</a>(G4Transform3D transf_relative_to_reference)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a46b2216689484ec03540a322a35f5861">~FibreConstructor</a>()</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 19 Jul 2016 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
